! Convert *e single precision NAG names to *f double precision names.
! Cray default precision (64 bits) uses *e nag names,
! In the rest of the world, 64 bits is double precision and uses *f nag names.

subroutine c06fce(x,y,n,workx,ifail)
  real x(*), y(*), workx(*)
  integer n, ifail
  call c06fcf(x,y,n,workx,ifail)
  return
end subroutine c06fce

subroutine c06fae(x,n,workx,ifail)
  real x(*), workx(*)
  integer n, ifail
  call c06faf(x,n,workx,ifail)
  return
end subroutine c06fae

subroutine c06fbe(x,n,workx,ifail)
  real x(*), workx(*)
  integer n, ifail
  call c06fbf(x,n,workx,ifail)
  return
end subroutine c06fbe

real function s18cee(rkp2,ifail)
  real rkp2
  integer ifail
  s18cee = s18cef(rkp2,ifail)
  return
end function s18cee

real function s18cfe(rkp2,ifail)
  real rkp2
  integer ifail
  s18cfe = s18cff(rkp2,ifail)
  return
end function s18cfe

subroutine x05aae(i)
  integer, dimension(7) :: i
  call x05aaf(i)
  return
end subroutine x05aae

function x05abe(i)
  character*30 x05abe
  character*30 x05abf
  external x05abf
  integer, dimension(7) :: i
  x05abe=x05abf(i)
end function x05abe

real function s21bbe(arg1, arg2, ifail)
  s21bbe = s21bbf(arg1, arg2, ifail)
  return
end function s21bbe

real function s21bce(arg1,arg2,arg3,ifail)
  s21bce=s21bcf(arg1,arg2,arg3,ifail)
  return
end function s21bce

subroutine g05cbe(iseed)
  call g05cbf(iseed)
  return
end subroutine g05cbe

real function g05cae(a)
  g05cae=g05caf(a)
  return
end function g05cae
