module command_line
!
!     (c) Copyright 1991 to 1998 by Michael A. Beer, William D. Dorland, 
!     P. B. Snyder, Q. P. Liu, and Gregory W. Hammett. ALL RIGHTS RESERVED.
!     
  implicit none
  interface
     function iargc ()
       integer :: iargc
     end function iargc
  end interface

  interface
     real function second()
     end function second
  end interface

contains
  subroutine cl_getarg (k, arg, len, ierr)
    implicit none
    integer,       intent (in)  :: k
    character (*), intent (out) :: arg
    integer,       intent (out) :: len
    integer,       intent (out) :: ierr

    interface
       subroutine pxfgetarg (m, buf, ilen, ierror)
         integer,       intent (in)  :: m
         character (*), intent (out) :: buf
         integer,       intent (out)  :: ilen
         integer,       intent (out) :: ierror
       end subroutine pxfgetarg
    end interface

    call pxfgetarg (k, arg, len, ierr)

  end subroutine cl_getarg
end module command_line
